<?php
require_once ("../../config/Cado.php");
require_once("cCategoria.php");
$oCategoria = new cCategoria();
if($_POST['action_categoria']=="insertar")
{
	if(!empty($_POST['txt_cat_nom']))
	{
		$rs=$oCategoria->comprobar_si_existe($_POST['txt_cat_nom']);
		$num=mysqli_num_rows($rs);
		if($num>0){
		$idcat=$oCategoria->comprobar_si_existe($_POST['txt_cat_nom']);
		$dtx = mysqli_fetch_array($idcat);
		$cat_id=$dtx['tb_categoria_id'];
		mysqli_free_result($dtx);		
		$data['cat_id']=$cat_id;
		$data['cat_msj']='Se registró categoria correctamente.';
		}else
		{
			$_POST['txt_color'] = '#010101';
			/* (isset($_POST['chk_cat_verped'])?'1':'0') */
		$oCategoria->insertar($_POST['txt_cat_nom'],$_POST['cmb_cat_idp'],$_POST['txt_color'],'1');
		
		$dts=$oCategoria->ultimoInsert();
		$dt = mysqli_fetch_array($dts);
		$cat_id=$dt['last_insert_id()'];
		mysqli_free_result($dts);		
		$data['cat_id']=$cat_id;
		$data['cat_msj']='Se registró categoria correctamente.';				
		}
		echo json_encode($data);
	}
	else
	{
		echo 'Intentelo nuevamente';
	}
}
if($_POST['action_categoria']=="editar")
{
	if(!empty($_POST['txt_cat_nom']))
	{
		$oCategoria->modificar($_POST['hdd_cat_id'],$_POST['txt_cat_nom'],$_POST['cmb_cat_idp'],$_POST['txt_color'],(isset($_POST['chk_cat_verped'])?'1':'0'));
		
		$data['cat_msj']='Se modificó la categoria correctamente.';
		echo json_encode($data);
	}
	else
	{
		echo 'Intentelo nuevamente';
	}
}
if($_POST['action']=="eliminar")
{
	if(!empty($_POST['id'])){
		$oCategoria->modificar_campo($_POST['id'],'xac','0');
		echo 'Se envió a la papelera correctamente.';
		
	}else{
		echo 'Intentelo nuevamente.';
	}
}
?>